Package org.jboss.modules.filter

# Class ClassFilters

java.lang.Object
org.jboss.modules.filter.ClassFilters

public final class ClassFilters extends Object
Static factory methods for class filter types.

Author:
  David M. Lloyd

## Method Summary

Modifier and Type
Method
Description
`static ClassFilter`
`acceptAll()`
Get a filter which always returns `true`.
`static ClassFilter`
`fromResourcePathFilter(PathFilter resourcePathFilter)`
Get a class filter which uses a resource path filter to filter classes.
`static ClassFilter`
`rejectAll()`
Get a filter which always returns `false`.

### Methods inherited from class java.lang.Object

`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

## Method Details

### acceptAll

public static ClassFilter acceptAll()
Get a filter which always returns `true`.

Returns:
  the accept-all filter

### rejectAll

public static ClassFilter rejectAll()
Get a filter which always returns `false`.

Returns:
  the reject-all filter

### fromResourcePathFilter

public static ClassFilter fromResourcePathFilter(PathFilter resourcePathFilter)
Get a class filter which uses a resource path filter to filter classes.

Parameters:
  `resourcePathFilter` - the resource path filter
Returns:
  the class filter